{ fetchFromGitHub, python3Packages, ... }:
python3Packages.buildPythonPackage rec {
  pname = "wyzeapy";
  version = "0.5.30";
  format = "pyproject";

  src = fetchFromGitHub {
    owner = "SecKatie";
    repo = "wyzeapy";
    rev = version;
    sha256 = "sha256-rEmWsCIBGNmDEecVT8O9O5/E0WVpTfA7amFI70DEmiI=";
  };

  buildInputs = with python3Packages; [
    poetry-core
    hatchling
  ];

  nativeBuildInputs = with python3Packages; [
    aiodns
    aiohttp
    pycryptodome
  ];

  doCheck = false; # no tests in the PyPI tarball
}
